import { MediaQueryAliases, MediaQueryObject, MediaQueryObjectWithShortcuts } from './types';
export declare type MqDimensionBoundaries = {
    bounds: [any, any];
    boundsParsed: [any, any];
};
export declare const parseToPxOrKeepValue: (v: any) => any;
export declare const isUnitValue: (v: any) => boolean;
export declare const isDimension: (v: any) => boolean;
export declare const getAliasModifiers: (alias: string, { bounds: [, upperBound], boundsParsed: [lowerBoundParsed, upperBoundParsed] }: MqDimensionBoundaries) => {
    [key: string]: any;
};
export declare const getDimensionBounds: (dimension: any) => [any, any];
export declare const getUnshortenedMqObject: ({ boundsParsed: [lowerBoundParsed, upperBoundParsed], }: Pick<MqDimensionBoundaries, 'boundsParsed'>) => MediaQueryObject;
export declare const expandAliases: (aliases: {
    [key: string]: MediaQueryObject;
}) => {
    [key: string]: MediaQueryObject;
};
export declare const aliases2mq: (aliases: string | {
    [key: string]: MediaQueryObject;
}) => MediaQueryAliases;
export declare const json2mq: (mq: MediaQueryObjectWithShortcuts) => string;
